Skip to main content
`Ctrl`+`K`

# PetscBTCreate

Create a `PetscBT` (bit array) capable of storing `m` bits, with all bits initialized to `0`

## Synopsis

    static inline PetscErrorCode PetscBTCreate(PetscCount m, PetscBT *array)

Not Collective; No Fortran Support

## Input Parameter

- m - the number of bits the array can hold

## Output Parameter

- array - the newly created `PetscBT`

## See Also

`PetscBT`, `PetscBTDestroy()`, `PetscBTMemzero()`, `PetscBTSet()`, `PetscBTLookup()`

## Level

developer

## Location

include/petscbt.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages